DEVM_CLK_PUT(9)

NAME
devm_clk_put - "free" a managed clock source

SYNOPSIS

void devm_clk_put(struct device * dev, struct clk * clk);

ARGUMENTS

dev
    device used to acquire the clock

clk
    clock source acquired with devm_clk_get

NOTE

drivers must ensure that all clk_enable calls made on this clock source are balanced by clk_disable calls prior to calling this function.

clk_put should not be called from within interrupt context.

COPYRIGHT